com.impinj.octane

## Enum DirectionTagPopulationStatus

- java.lang.Object
- - java.lang.Enum<DirectionTagPopulationStatus>
  - - com.impinj.octane.DirectionTagPopulationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DirectionTagPopulationStatus>

      public enum DirectionTagPopulationStatus
      extends java.lang.Enum<DirectionTagPopulationStatus>

  Specifies the overflow status of a Direction Report
  See Also:
    `ImpinjDirectionTagPopulationStatus`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OK` The report is within all tag population limits.
    `SYSTEM_OVERFLOW` The report count is above the system limit.
    `USER_OVERFLOW` The report count is above the user specified limit.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DirectionTagPopulationStatus` | `valueOf(int populationStatus)`
    `static DirectionTagPopulationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DirectionTagPopulationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final DirectionTagPopulationStatus OK

      The report is within all tag population limits.

    - #### SYSTEM_OVERFLOW

          public static final DirectionTagPopulationStatus SYSTEM_OVERFLOW

      The report count is above the system limit.

    - #### USER_OVERFLOW

          public static final DirectionTagPopulationStatus USER_OVERFLOW

      The report count is above the user specified limit.

  - ### Method Detail

    - #### values

          public static DirectionTagPopulationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DirectionTagPopulationStatus c : DirectionTagPopulationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DirectionTagPopulationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static DirectionTagPopulationStatus valueOf(int populationStatus)

      Parameters:
        `populationStatus` - int value of equivalent LTK enum ImpinjDirectionTagPopulationStatus
      Returns:
        DirectionTagPopulationStatus associated with provided populationStatus